package main

import (
	"log"

	"git.d3nexus.de/Dadido3/D3vugu-components/components/navigation"
	"github.com/vugu/vugu"
)

type PageLayout struct {
	Page  int `vugu:"data"`
	Pages int `vugu:"data"`
}

func (c *PageLayout) Init(ctx vugu.InitCtx) {
	c.Pages = 10
}

func (c *PageLayout) handlePagination(event navigation.PaginationEvent) {
	log.Printf("Some page %v", event.Page)
	c.Page = event.Page
}
